Devuan bug report logs - #186
nut-server: package fails to install with udev error

Package: nut-server; Reported by: Tom <wirelessduck@gmail.com>;
Date: Tue, 20 Feb 2018 23:18:02 UTC;
Done: Svante Signell <svante.signell@gmail.com>;
Maintainer for nut-server is (unknown).

View this report as an mbox folder.


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#186; Package nut-server. Full text available.



Acknowledgement sent to Tom <wirelessduck@gmail.com>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org.

Your message specified a Severity: in the pseudo-header, but the severity value important was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, normal, minor, wishlist.

Full text available.



Message received at submit@bugs.devuan.org:

From: Tom <wirelessduck@gmail.com>
Date: Wed, 21 Feb 2018 10:09:22 +1100
Subject: nut-server: package fails to install with udev error
To: submit@bugs.devuan.org

Package: nut-server
Version: 2.7.4-5
Severity: important

Dear Maintainer,

   * What led up to the situation?

   Trying to install nut-server package.

   eudev=3.2.2-11 is installed from pkgmaster.
   udev transitional package is not installed but there exists
   a symlink from /etc/init.d/udev to /etc/init.d/eudev

   * What was the outcome of this action?

   Package fails to install with error message about udev service.


# apt-get install nut-server
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  nut-cgi nut-ipmi nut-snmp nut-xml
The following NEW packages will be installed:
  nut-server
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/851 kB of archives.
After this operation, 5,038 kB of additional disk space will be used.
Selecting previously unselected package nut-server.
(Reading database ... 125468 files and directories currently installed.)
Preparing to unpack .../nut-server_2.7.4-5_amd64.deb ...
Unpacking nut-server (2.7.4-5) ...
Setting up nut-server (2.7.4-5) ...
insserv: Service udev has to be enabled to start service nut-server
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package nut-server (--configure):
 subprocess installed post-installation script returned error exit status 1
Processing triggers for man-db (2.7.6.1-2) ...
Errors were encountered while processing:
 nut-server
E: Sub-process /usr/bin/dpkg returned an error code (1)

# service udev status
[ ok ] udevd is running.


-- System Information:
Distributor ID: Devuan
Description: Devuan GNU/Linux testing/unstable
Release: testing/unstable
Codename: n/a

Architecture: x86_64

Kernel: Linux 4.9.0-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages nut-server depends on:
ii  adduser              3.115
ii  init-system-helpers  1.48+devuan2.0
ii  libc6                2.24-11+deb9u1
ii  libnspr4             2:4.12-6
ii  libnss3              2:3.26.2-1.1+deb9u1
ii  libupsclient4        2.7.4-5
ii  libusb-0.1-4         2:0.1.12-30
ii  libwrap0             7.6.q-26
ii  lsb-base             4.1+devuan2
ii  nut-client           2.7.4-5
pn  udev                 <none>

nut-server recommends no packages.

Versions of packages nut-server suggests:
pn  nut-cgi   <none>
pn  nut-ipmi  <none>
pn  nut-snmp  <none>
pn  nut-xml   <none>

-- Configuration Files:
/etc/nut/ups.conf [Errno 13] Permission denied: '/etc/nut/ups.conf'
/etc/nut/upsd.conf [Errno 13] Permission denied: '/etc/nut/upsd.conf'
/etc/nut/upsd.users [Errno 13] Permission denied: '/etc/nut/upsd.users'

-- no debconf information





Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#186; Package nut-server. Full text available.



Acknowledgement sent to wirelessduck@gmail.com:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org.

Your message did not contain a Subject field. They are recommended and useful because the title of a bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text available.



Message received at 186@bugs.devuan.org:

From: wirelessduck@gmail.com
Date: Fri, 2 Mar 2018 09:43:02 +1100
To: 186@bugs.devuan.org

The package just needs to have the /etc/init.d/nut-server script edited to have the LSB headers refer to eudev instead of udev.

I’m guessing this is not the only affected package with this issue.

Is it possible for the eudev package to include some compatibility for this to avoid renaming udev->eudev in individual packages?




Reply sent to svante.signell@gmail.com:
You have taken responsibility. Full text available.



Notification sent to Tom <wirelessduck@gmail.com>:
bug acknowledged by developer. Full text available.



Message received at 186-done@bugs.devuan.org:

Subject: [Fwd: Re: [devuan-dev] Udev packaging bugs]
From: Svante Signell <svante.signell@gmail.com>
To: 186-done@bugs.devuan.org
Date: Thu, 08 Mar 2018 14:42:04 +0100

[Message part 1 (text/plain, inline)]

186-close does not work: using 186-deone
[Message part 2 (message/rfc822, inline)]






Message received at 186-done@bugs.devuan.org:

Date: Fri, 16 Mar 2018 19:21:33 +0000
From: KatolaZ <katolaz@freaknet.org>
To: 186-done@bugs.devuan.org
Subject: Fixed

[Message part 1 (text/plain, inline)]

fixed in eudev-3.2.2-12

[signature.asc (application/pgp-signature, inline)]






Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Mon, 28 May 2018 01:14:27 UTC